propel:
  _attributes:
    package: lib.model
    defaultIdMethod: native
  nclasificaciondeseguridad:
    _attributes: { phpName: Nclasificaciondeseguridad }
    idclasificaciondeseguridad: { phpName: Idclasificaciondeseguridad, type: VARCHAR, primaryKey: true, autoIncrement: true, required: true }
    nombredescriptivo: { phpName: Nombredescriptivo, type: VARCHAR, size: '64', required: true }
  nestado:
    _attributes: { phpName: Nestado }
    idestado: { phpName: Idestado, type: VARCHAR, primaryKey: true, autoIncrement: true, required: true }
    nombredescriptivo: { phpName: Nombredescriptivo, type: VARCHAR, size: '64', required: true }
  nformacaptacion:
    _attributes: { phpName: Nformacaptacion }
    idformacaptacion: { phpName: Idformacaptacion, type: VARCHAR, primaryKey: true, autoIncrement: true, required: true }
    tiporecurso: { phpName: Tiporecurso, type: VARCHAR, size: '50', required: true }
  nmodeloestado:
    _attributes: { phpName: Nmodeloestado }
    idmodeloestado: { phpName: Idmodeloestado, type: VARCHAR, size: '32', primaryKey: true, autoIncrement: true, required: true }
    nombredescriptivo: { phpName: Nombredescriptivo, type: VARCHAR, size: '64', required: true }
    _indexes: { sqlite_autoindex_nmodeloestado_1: [idmodeloestado] }
  ntipodeindicador:
    _attributes: { phpName: Ntipodeindicador }
    idtipodeindicador: { phpName: Idtipodeindicador, type: VARCHAR, primaryKey: true, autoIncrement: true, required: true }
    nombredescriptivo: { phpName: Nombredescriptivo, type: VARCHAR, size: '64', required: true }
  ntipodemodelo:
    _attributes: { phpName: Ntipodemodelo }
    idtipodemodelo: { phpName: Idtipodemodelo, type: VARCHAR, size: '32', primaryKey: true, autoIncrement: true, required: true }
    nombredescriptivo: { phpName: Nombredescriptivo, type: VARCHAR, size: '64', required: true }
    _indexes: { sqlite_autoindex_ntipodemodelo_1: [idtipodemodelo] }
  sqlite_sequence:
    _attributes: { phpName: SqliteSequence }
    name: { phpName: Name, type: VARCHAR, required: false }
    seq: { phpName: Seq, type: VARCHAR, required: false }
  tbaspecto:
    _attributes: { phpName: Tbaspecto }
    idalias: { phpName: Idalias, type: VARCHAR, size: '16', primaryKey: true, required: true }
    aliassup: { phpName: Aliassup, type: VARCHAR, size: '16', required: false }
    nombredescriptivo: { phpName: Nombredescriptivo, type: VARCHAR, size: '255', required: true }
    notametodologica: { phpName: Notametodologica, type: VARCHAR, required: false }
    idcodtematicaaspecto: { phpName: Idcodtematicaaspecto, type: VARCHAR, size: '32', primaryKey: true, required: false }
    _indexes: { sqlite_autoindex_tbaspecto_1: [idalias] }
  tbclasificacion:
    _attributes: { phpName: Tbclasificacion }
    codclasificador: { phpName: Codclasificador, type: VARCHAR, size: '10', primaryKey: true, required: true }
    codclasificacion: { phpName: Codclasificacion, type: VARCHAR, size: '15', required: true }
    nombredescriptivo: { phpName: Nombredescriptivo, type: VARCHAR, size: '255', required: false }
    _indexes: { sqlite_autoindex_tbclasificacion_1: [codclasificador, codclasificacion] }
  tbclasificador:
    _attributes: { phpName: Tbclasificador }
    codclasificador: { phpName: Codclasificador, type: VARCHAR, size: '10', primaryKey: true, required: true }
    alias: { phpName: Alias, type: VARCHAR, size: '25', required: false }
    nombredescriptivo: { phpName: Nombredescriptivo, type: VARCHAR, size: '255', required: false }
    _indexes: { sqlite_autoindex_tbclasificador_1: [codclasificador] }
  tbconfiguracion:
    _attributes: { phpName: Tbconfiguracion }
    iduser: { phpName: Iduser, type: VARCHAR, size: '32', primaryKey: true, autoIncrement: true, required: true }
    configuracion: { phpName: Configuracion, type: VARCHAR, required: true }
    idtipodeconfiguracion: { phpName: Idtipodeconfiguracion, type: VARCHAR, required: true }
    _indexes: { sqlite_autoindex_tbconfiguracion_1: [iduser, configuracion, idtipodeconfiguracion] }
  tbcorrelacionadordeindicadores:
    _attributes: { phpName: Tbcorrelacionadordeindicadores }
    idcodindicador: { phpName: Idcodindicador, type: VARCHAR, size: '11', primaryKey: true, required: true }
    idsubnummodelo: { phpName: Idsubnummodelo, type: VARCHAR, size: '2', required: true }
    idnummodelo: { phpName: Idnummodelo, type: VARCHAR, size: '8', required: true }
    idnumpagina: { phpName: Idnumpagina, type: VARCHAR, primaryKey: true, required: true }
    codactividadasociada: { phpName: Codactividadasociada, type: VARCHAR, primaryKey: true, required: false }
    descripcion: { phpName: Descripcion, type: VARCHAR, size: '255', required: false }
    _indexes: { sqlite_autoindex_tbcorrelacionadordeindicadores_1: [idcodindicador, idsubnummodelo, idnummodelo, idnumpagina] }
  tbcorrelacionadordevariante:
    _attributes: { phpName: Tbcorrelacionadordevariante }
    idnummodelo: { phpName: Idnummodelo, type: VARCHAR, size: '8', primaryKey: true, required: true }
    idsubnummodelo: { phpName: Idsubnummodelo, type: VARCHAR, size: '2', required: true }
    idcodvariante: { phpName: Idcodvariante, type: VARCHAR, primaryKey: true, required: true }
    codvariante_i: { phpName: CodvarianteI, type: VARCHAR, primaryKey: true, required: false }
    codvariante_ii: { phpName: CodvarianteIi, type: VARCHAR, primaryKey: true, required: false }
    nombrevariante_i: { phpName: NombrevarianteI, type: VARCHAR, size: '255', required: false }
    nombrevariante_ii: { phpName: NombrevarianteIi, type: VARCHAR, size: '255', required: false }
    _indexes: { sqlite_autoindex_tbcorrelacionadordevariante_1: [idnummodelo, idsubnummodelo, idcodvariante] }
  tbcuadredevalidacion:
    _attributes: { phpName: Tbcuadredevalidacion }
    idnummodelo: { phpName: Idnummodelo, type: VARCHAR, size: '8', required: true }
    idsubnummodelo: { phpName: Idsubnummodelo, type: VARCHAR, size: '2', required: true }
    cuadre: { phpName: Cuadre, type: VARCHAR, required: true }
    codfilas: { phpName: Codfilas, type: VARCHAR, required: false }
    formulas: { phpName: Formulas, type: VARCHAR, required: true }
  tbdependencia:
    _attributes: { phpName: Tbdependencia }
    idpreguntadep: { phpName: Idpreguntadep, type: VARCHAR, size: '15', primaryKey: true, required: true }
    idpreguntaref: { phpName: Idpreguntaref, type: VARCHAR, size: '15', required: true }
    idnummodelo: { phpName: Idnummodelo, type: VARCHAR, size: '8', required: true }
    idsubnummodelo: { phpName: Idsubnummodelo, type: VARCHAR, size: '2', required: true }
    idnumpagina: { phpName: Idnumpagina, type: VARCHAR, primaryKey: true, required: true }
    respuesta: { phpName: Respuesta, type: VARCHAR, size: '15', required: true }
    _indexes: { sqlite_autoindex_tbdependencia_1: [idpreguntadep, idpreguntaref, idnummodelo, idsubnummodelo, idnumpagina] }
  tbdescriptordelmodelo:
    _attributes: { phpName: Tbdescriptordelmodelo }
    idnummodelo: { phpName: Idnummodelo, type: VARCHAR, size: '8', primaryKey: true, required: true }
    idsubnummodelo: { phpName: Idsubnummodelo, type: VARCHAR, size: '2', required: true }
    idestado: { phpName: Idestado, type: VARCHAR, primaryKey: true, required: true }
    idtipodemodelo: { phpName: Idtipodemodelo, type: VARCHAR, primaryKey: true, required: true }
    idclasificaciondeseguridad: { phpName: Idclasificaciondeseguridad, type: VARCHAR, primaryKey: true, required: true, defaultValue: '1' }
    idpiedefirma: { phpName: Idpiedefirma, type: VARCHAR, primaryKey: true, required: true }
    periodicidad: { phpName: Periodicidad, type: VARCHAR, primaryKey: true, required: true }
    aproximacion: { phpName: Aproximacion, type: VARCHAR, primaryKey: true, required: true }
    nombredescriptivo: { phpName: Nombredescriptivo, type: VARCHAR, size: '255', required: true }
    notametodologica: { phpName: Notametodologica, type: VARCHAR, size: '255', required: false }
    idsistemadeinformacion: { phpName: Idsistemadeinformacion, type: VARCHAR, size: '5', required: true }
    fecha: { phpName: Fecha, type: VARCHAR, required: false }
    _indexes: { sqlite_autoindex_tbdescriptordelmodelo_1: [idnummodelo, idsubnummodelo] }
  tbencuesta:
    _attributes: { phpName: Tbencuesta }
    idencuesta: { phpName: Idencuesta, type: VARCHAR, primaryKey: true, autoIncrement: true, required: false }
    idnummodelo: { phpName: Idnummodelo, type: VARCHAR, size: '8', required: true }
    idsubnummodelo: { phpName: Idsubnummodelo, type: VARCHAR, size: '2', required: true }
    idmodeloestado: { phpName: Idmodeloestado, type: VARCHAR, size: '32', primaryKey: true, required: true }
    codcentroinformante: { phpName: Codcentroinformante, type: VARCHAR, size: '15', required: false }
    fechadeconfeccion: { phpName: Fechadeconfeccion, type: VARCHAR, required: false }
    valoridentidad: { phpName: Valoridentidad, type: VARCHAR, required: true }
    observaciones: { phpName: Observaciones, type: VARCHAR, required: false }
    xmldatos: { phpName: Xmldatos, type: VARCHAR, required: false }
  tbfechadecaptacion:
    _attributes: { phpName: Tbfechadecaptacion }
    idfecha: { phpName: Idfecha, type: VARCHAR, size: '32', primaryKey: true, autoIncrement: true, required: true }
    idnummodelo: { phpName: Idnummodelo, type: VARCHAR, size: '8', required: true }
    idsubnummodelo: { phpName: Idsubnummodelo, type: VARCHAR, size: '2', required: true }
    fechadecaptacion: { phpName: Fechadecaptacion, type: VARCHAR, required: true }
    nota: { phpName: Nota, type: VARCHAR, size: '255', required: false }
    _indexes: { sqlite_autoindex_tbfechadecaptacion_1: [idfecha, idnummodelo, idsubnummodelo] }
  tbformula:
    _attributes: { phpName: Tbformula }
    idcodindicador: { phpName: Idcodindicador, type: VARCHAR, size: '20', primaryKey: true, required: true }
    idnummodelo: { phpName: Idnummodelo, type: VARCHAR, size: '8', required: true }
    idsubnummodelo: { phpName: Idsubnummodelo, type: VARCHAR, size: '2', required: true }
    idnumpagina: { phpName: Idnumpagina, type: VARCHAR, primaryKey: true, required: true }
    codfila: { phpName: Codfila, type: VARCHAR, primaryKey: true, required: true }
    formula: { phpName: Formula, type: VARCHAR, size: '100', required: true }
    _indexes: { sqlite_autoindex_tbformula_1: [idcodindicador, idnummodelo, idsubnummodelo, idnumpagina, codfila] }
  tbindicador:
    _attributes: { phpName: Tbindicador }
    idcodindicador: { phpName: Idcodindicador, type: VARCHAR, size: '11', primaryKey: true, required: true }
    idclasificaciondeseguridad: { phpName: Idclasificaciondeseguridad, type: VARCHAR, primaryKey: true, required: true }
    idtipodeindicador: { phpName: Idtipodeindicador, type: VARCHAR, primaryKey: true, required: true }
    idcodtematica: { phpName: Idcodtematica, type: VARCHAR, primaryKey: true, required: true }
    nombredescriptivo: { phpName: Nombredescriptivo, type: VARCHAR, size: '255', required: true }
    unidaddemedida: { phpName: Unidaddemedida, type: VARCHAR, size: '25', required: true }
    periodicidad: { phpName: Periodicidad, type: VARCHAR, primaryKey: true, required: true }
    notametodologica: { phpName: Notametodologica, type: VARCHAR, size: '255', required: false }
    essumable: { phpName: Essumable, type: VARCHAR, primaryKey: true, required: false }
    _indexes: { sqlite_autoindex_tbindicador_1: [idcodindicador] }
  tbindicadorpagina:
    _attributes: { phpName: Tbindicadorpagina }
    idcodindicador: { phpName: Idcodindicador, type: VARCHAR, size: '20', primaryKey: true, required: true }
    idnummodelo: { phpName: Idnummodelo, type: VARCHAR, size: '8', required: true }
    idsubnummodelo: { phpName: Idsubnummodelo, type: VARCHAR, size: '2', required: true }
    idnumpagina: { phpName: Idnumpagina, type: VARCHAR, size: '32', primaryKey: true, required: true }
    codfila: { phpName: Codfila, type: VARCHAR, size: '64', primaryKey: true, required: true }
    niveldeinteres: { phpName: Niveldeinteres, type: VARCHAR, size: '32', primaryKey: true, required: true }
    posiciondelafila: { phpName: Posiciondelafila, type: VARCHAR, size: '32', primaryKey: true, required: false }
    nombredescriptivo: { phpName: Nombredescriptivo, type: VARCHAR, size: '255', required: true }
    captable: { phpName: Captable, type: VARCHAR, size: '5', required: false }
    idnivelsuperior: { phpName: Idnivelsuperior, type: VARCHAR, size: '20', required: false }
    nivel: { phpName: Nivel, type: VARCHAR, size: '32', primaryKey: true, required: false }
    _indexes: { sqlite_autoindex_tbindicadorpagina_1: [idcodindicador, idnummodelo, idsubnummodelo, idnumpagina, codfila] }
  tbmodelo:
    _attributes: { phpName: Tbmodelo }
    idnummodelo: { phpName: Idnummodelo, type: VARCHAR, size: '8', primaryKey: true, required: true }
    idsubnummodelo: { phpName: Idsubnummodelo, type: VARCHAR, size: '2', required: true }
    idcodvariante: { phpName: Idcodvariante, type: VARCHAR, primaryKey: true, required: true }
    idfechadelinformeacumulado: { phpName: Idfechadelinformeacumulado, type: VARCHAR, required: true }
    idtipomodelo: { phpName: Idtipomodelo, type: VARCHAR, primaryKey: true, required: true }
    idmodeloestado: { phpName: Idmodeloestado, type: VARCHAR, primaryKey: true, required: false }
    codcentroinformante: { phpName: Codcentroinformante, type: VARCHAR, size: '15', required: true }
    fechadeconfeccion: { phpName: Fechadeconfeccion, type: VARCHAR, required: false }
    observaciones: { phpName: Observaciones, type: VARCHAR, required: false }
    seguridad: { phpName: Seguridad, type: VARCHAR, primaryKey: true, required: false, defaultValue: '0' }
    xmldatos: { phpName: Xmldatos, type: VARCHAR, required: false }
    xmlvalidacion: { phpName: Xmlvalidacion, type: VARCHAR, required: false }
    erroresvalidacion: { phpName: Erroresvalidacion, type: VARCHAR, required: false }
    _indexes: { sqlite_autoindex_tbmodelo_1: [idnummodelo, idsubnummodelo, idcodvariante, idfechadelinformeacumulado, codcentroinformante] }
  tbpagina:
    _attributes: { phpName: Tbpagina }
    idnummodelo: { phpName: Idnummodelo, type: VARCHAR, size: '8', primaryKey: true, required: true }
    idsubnummodelo: { phpName: Idsubnummodelo, type: VARCHAR, size: '2', required: true }
    idnumpagina: { phpName: Idnumpagina, type: VARCHAR, primaryKey: true, required: true }
    nombredescriptivo: { phpName: Nombredescriptivo, type: VARCHAR, size: '255', required: false }
    sumadecontrol: { phpName: Sumadecontrol, type: VARCHAR, primaryKey: true, required: true }
    _indexes: { sqlite_autoindex_tbpagina_1: [idnummodelo, idsubnummodelo, idnumpagina] }
  tbpaginaaspecto:
    _attributes: { phpName: Tbpaginaaspecto }
    idnummodelo: { phpName: Idnummodelo, type: VARCHAR, size: '8', primaryKey: true, required: true }
    idsubnummodelo: { phpName: Idsubnummodelo, type: VARCHAR, size: '2', required: true }
    idnumpagina: { phpName: Idnumpagina, type: VARCHAR, primaryKey: true, required: true }
    idalias: { phpName: Idalias, type: VARCHAR, size: '16', required: true }
    numcolumna: { phpName: Numcolumna, type: VARCHAR, primaryKey: true, required: false }
    _indexes: { sqlite_autoindex_tbpaginaaspecto_1: [idnummodelo, idsubnummodelo, idnumpagina, idalias] }
  tbpiedefirma:
    _attributes: { phpName: Tbpiedefirma }
    idpiedefirma: { phpName: Idpiedefirma, type: VARCHAR, primaryKey: true, autoIncrement: true, required: true }
    denominaciondelpie: { phpName: Denominaciondelpie, type: VARCHAR, size: '50', required: true }
    primercargo: { phpName: Primercargo, type: VARCHAR, size: '50', required: true }
    segundocargo: { phpName: Segundocargo, type: VARCHAR, size: '50', required: false }
    notadecertificacion: { phpName: Notadecertificacion, type: VARCHAR, size: '255', required: false }
  tbpregunta:
    _attributes: { phpName: Tbpregunta }
    idpregunta: { phpName: Idpregunta, type: VARCHAR, size: '15', primaryKey: true, required: true }
    idnummodelo: { phpName: Idnummodelo, type: VARCHAR, size: '8', required: true }
    idsubnummodelo: { phpName: Idsubnummodelo, type: VARCHAR, size: '2', required: true }
    idnumpagina: { phpName: Idnumpagina, type: VARCHAR, size: '32', primaryKey: true, required: true }
    codclasificador: { phpName: Codclasificador, type: VARCHAR, size: '10', required: false }
    posiciondelafila: { phpName: Posiciondelafila, type: VARCHAR, size: '32', primaryKey: true, required: true }
    descripciondelapregunta: { phpName: Descripciondelapregunta, type: VARCHAR, size: '255', required: false }
    formadecaptacion: { phpName: Formadecaptacion, type: VARCHAR, size: '32', primaryKey: true, required: true }
    notametodologica: { phpName: Notametodologica, type: VARCHAR, required: false }
    validacion: { phpName: Validacion, type: VARCHAR, required: false }
    idpreguntaderivada: { phpName: Idpreguntaderivada, type: VARCHAR, size: '15', required: false }
    idseccion: { phpName: Idseccion, type: VARCHAR, size: '13', required: false }
    obligatoria: { phpName: Obligatoria, type: VARCHAR, size: '5', required: false }
    _indexes: { sqlite_autoindex_tbpregunta_1: [idpregunta, idnummodelo, idsubnummodelo, idnumpagina] }
  tbseccion:
    _attributes: { phpName: Tbseccion }
    idseccion: { phpName: Idseccion, type: VARCHAR, size: '20', primaryKey: true, required: true }
    idnummodelo: { phpName: Idnummodelo, type: VARCHAR, size: '8', required: true }
    idsubnummodelo: { phpName: Idsubnummodelo, type: VARCHAR, size: '2', required: true }
    idnumpagina: { phpName: Idnumpagina, type: VARCHAR, size: '32', primaryKey: true, required: true }
    titulo: { phpName: Titulo, type: VARCHAR, size: '255', required: false }
    posiciondelafila: { phpName: Posiciondelafila, type: VARCHAR, size: '32', primaryKey: true, required: true }
    descripcion: { phpName: Descripcion, type: VARCHAR, size: '255', required: false }
    idnivelsuperior: { phpName: Idnivelsuperior, type: VARCHAR, size: '20', required: false }
    nivel: { phpName: Nivel, type: VARCHAR, size: '32', primaryKey: true, required: false }
    _indexes: { sqlite_autoindex_tbseccion_1: [idseccion] }
  tbsistemadeinformacion:
    _attributes: { phpName: Tbsistemadeinformacion }
    idsistemadeinformacion: { phpName: Idsistemadeinformacion, type: VARCHAR, size: '5', primaryKey: true, required: true }
    imagenlogo: { phpName: Imagenlogo, type: VARCHAR, required: false }
    tipodearchivo: { phpName: Tipodearchivo, type: VARCHAR, size: '3', required: false }
    denominacion: { phpName: Denominacion, type: VARCHAR, size: '255', required: true }
    _indexes: { sqlite_autoindex_tbsistemadeinformacion_1: [idsistemadeinformacion] }
  tbtematica:
    _attributes: { phpName: Tbtematica }
    idcodtematica: { phpName: Idcodtematica, type: VARCHAR, size: '32', primaryKey: true, autoIncrement: true, required: true }
    nombredescriptivo: { phpName: Nombredescriptivo, type: VARCHAR, size: '255', required: true }
    _indexes: { sqlite_autoindex_tbtematica_1: [idcodtematica] }
  tbtematicaaspecto:
    _attributes: { phpName: Tbtematicaaspecto }
    idcodtematicaaspecto: { phpName: Idcodtematicaaspecto, type: VARCHAR, size: '32', primaryKey: true, autoIncrement: true, required: true }
    nombredescriptivo: { phpName: Nombredescriptivo, type: VARCHAR, size: '255', required: true }
    _indexes: { sqlite_autoindex_tbtematicaaspecto_1: [idcodtematicaaspecto] }
  tbvariante:
    _attributes: { phpName: Tbvariante }
    idnummodelo: { phpName: Idnummodelo, type: VARCHAR, size: '8', primaryKey: true, required: true }
    idsubnummodelo: { phpName: Idsubnummodelo, type: VARCHAR, size: '2', required: true }
    idcodvariante: { phpName: Idcodvariante, type: VARCHAR, size: '32', primaryKey: true, required: true }
    codvariantesup: { phpName: Codvariantesup, type: VARCHAR, size: '32', primaryKey: true, required: false }
    nombredevariante: { phpName: Nombredevariante, type: VARCHAR, size: '255', required: true }
    notametodologica: { phpName: Notametodologica, type: VARCHAR, required: false }
    _indexes: { sqlite_autoindex_tbvariante_1: [idnummodelo, idsubnummodelo, idcodvariante] }
  tbuser:
    _attributes: { phpName: User }
    iduser: { phpName: Iduser, type: INTEGER, required: true, autoIncrement: true, primaryKey: true }
    username: { phpName: Username, type: VARCHAR, size: '150', required: true }
    password: { phpName: Password, type: VARCHAR, size: '150', required: true }
    nombredescriptivo: { phpName: Nombredescriptivo, type: VARCHAR, size: '255', required: true }
    _indexes: { sqlite_autoindex_tbuser_1: [username] }